For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTAudio isolation
      • GETGet Audio Isolation History
      • DELDelete Audio Isolation History Item
      • POSTAudio isolation stream
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIAudio Isolation

Get Audio Isolation History

GET
/v1/audio-isolation/history
GET
/v1/audio-isolation/history
$curl https://api.elevenlabs.io/v1/audio-isolation/history \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
5 "title": "Interview with Dr. Smith - Noise Reduced",
6 "created_at_unix": 1685404800,
7 "format": "mp3",
8 "duration_seconds": 360.5,
9 "download_url": "https://cdn.elevenlabs.io/audio-isolation/a1b2c3d4-e5f6-7890-ab12-cd34ef567890.mp3",
10 "icon_url": "https://cdn.elevenlabs.io/icons/audio-isolation-icon.png",
11 "source_video_url": "https://videos.example.com/interview-dr-smith.mp4",
12 "supports_video": false,
13 "processing": false,
14 "video_processing_failed": false,
15 "preview_b64": "UklGRiQAAABXQVZFZm10IBAAAAABAAEAQB8AAIA+AAACABAAZGF0YQAAAAA="
16 }
17 ],
18 "has_more": false
19}
Returns a list of all your audio isolation generations.
Was this page helpful?
Previous

Delete Audio Isolation History Item

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-1000Defaults to 100
How many history items to return at maximum. Defaults to 100.
pageintegerOptional>=1Defaults to 1

Page number for search pagination (1-based). Only used when search is provided.

searchstring or nullOptional

Optional search term used for filtering audio isolation history (title/text).

Response

Successful Response
itemslist of objects
has_moreboolean

Errors

422
Unprocessable Entity Error